diff -r 5671fbcbf6c4 -r 5f8173737e3c Makefile.am
--- a/Makefile.am	Sat Mar 12 22:38:49 2011 +0100
+++ b/Makefile.am	Sun Mar 13 12:38:10 2011 -0400
@@ -248,7 +248,7 @@
 # the test programs, want to access undocumented symbols.
 
 libgmp_la_SOURCES = gmp-impl.h longlong.h				\
-  assert.c compat.c errno.c extract-dbl.c invalid.c memory.c		\
+  abort.c assert.c compat.c errno.c extract-dbl.c invalid.c memory.c		\
   mp_bpl.c mp_clz_tab.c mp_dv_tab.c mp_minv_tab.c mp_get_fns.c mp_set_fns.c \
   version.c nextprime.c
 EXTRA_libgmp_la_SOURCES = tal-debug.c tal-notreent.c tal-reent.c
diff -r 5671fbcbf6c4 -r 5f8173737e3c gmp-h.in
--- a/gmp-h.in	Sat Mar 12 22:38:49 2011 +0100
+++ b/gmp-h.in	Sun Mar 13 12:38:10 2011 -0400
@@ -538,6 +538,9 @@
 using std::FILE;
 #endif
 
+#define gmp_initialize_abort __gmp_initialize_abort
+__GMP_DECLSPEC void __gmp_initialize_abort __GMP_PROTO ((void (*)()));
+
 #define mp_set_memory_functions __gmp_set_memory_functions
 __GMP_DECLSPEC void mp_set_memory_functions __GMP_PROTO ((void *(*) (size_t),
 				      void *(*) (void *, size_t, size_t),
diff -r 5671fbcbf6c4 -r 5f8173737e3c gmp-impl.h
--- a/gmp-impl.h	Sat Mar 12 22:38:49 2011 +0100
+++ b/gmp-impl.h	Sun Mar 13 12:38:10 2011 -0400
@@ -2113,6 +2113,7 @@
 #define ASSERT_FILE  ""
 #endif
 
+__GMP_DECLSPEC void __gmp_internal_abort __GMP_PROTO (()) ATTRIBUTE_NORETURN;
 __GMP_DECLSPEC void __gmp_assert_header __GMP_PROTO ((const char *, int));
 __GMP_DECLSPEC void __gmp_assert_fail __GMP_PROTO ((const char *, int, const char *)) ATTRIBUTE_NORETURN;
 
diff -r 5671fbcbf6c4 -r 5f8173737e3c invalid.c
--- a/invalid.c	Sat Mar 12 22:38:49 2011 +0100
+++ b/invalid.c	Sun Mar 13 12:38:10 2011 -0400
@@ -68,5 +68,5 @@
 __gmp_invalid_operation (void)
 {
   raise (SIGFPE);
-  abort ();
+  __gmp_internal_abort ();
 }
diff -r 5671fbcbf6c4 -r 5f8173737e3c memory.c
--- a/memory.c	Sat Mar 12 22:38:49 2011 +0100
+++ b/memory.c	Sun Mar 13 12:38:10 2011 -0400
@@ -45,7 +45,7 @@
   if (ret == 0)
     {
       fprintf (stderr, "GNU MP: Cannot allocate memory (size=%lu)\n", (long) size);
-      abort ();
+      __gmp_internal_abort ();
     }
 
 #ifdef DEBUG
@@ -93,7 +93,7 @@
   if (ret == 0)
     {
       fprintf (stderr, "GNU MP: Cannot reallocate memory (old_size=%lu new_size=%lu)\n", (long) old_size, (long) new_size);
-      abort ();
+      __gmp_internal_abort ();
     }
 
 #ifdef DEBUG
diff -r 5671fbcbf6c4 -r 5f8173737e3c mpz/init2.c
--- a/mpz/init2.c	Sat Mar 12 22:38:49 2011 +0100
+++ b/mpz/init2.c	Sun Mar 13 12:38:10 2011 -0400
@@ -35,7 +35,7 @@
       if (UNLIKELY (new_alloc > INT_MAX))
 	{
 	  fprintf (stderr, "gmp: overflow in mpz type\n");
-	  abort ();
+	  __gmp_internal_abort ();
 	}
     }
 
diff -r 5671fbcbf6c4 -r 5f8173737e3c mpz/realloc.c
--- a/mpz/realloc.c	Sat Mar 12 22:38:49 2011 +0100
+++ b/mpz/realloc.c	Sun Mar 13 12:38:10 2011 -0400
@@ -36,7 +36,7 @@
       if (UNLIKELY (new_alloc > ULONG_MAX / GMP_NUMB_BITS))
 	{
 	  fprintf (stderr, "gmp: overflow in mpz type\n");
-	  abort ();
+	  __gmp_internal_abort ();
 	}
     }
   else
@@ -44,7 +44,7 @@
       if (UNLIKELY (new_alloc > INT_MAX))
 	{
 	  fprintf (stderr, "gmp: overflow in mpz type\n");
-	  abort ();
+	  __gmp_internal_abort ();
 	}
     }
 
diff -r 5671fbcbf6c4 -r 5f8173737e3c mpz/realloc2.c
--- a/mpz/realloc2.c	Sat Mar 12 22:38:49 2011 +0100
+++ b/mpz/realloc2.c	Sun Mar 13 12:38:10 2011 -0400
@@ -35,7 +35,7 @@
       if (UNLIKELY (new_alloc > INT_MAX))
 	{
 	  fprintf (stderr, "gmp: overflow in mpz type\n");
-	  abort ();
+	  __gmp_internal_abort ();
 	}
     }
 
